module StandardTypes
  STANDARD_TYPES = %w[ 
    Account
    Asset
    AssetFeed
    AssetTag
    AssignmentRule
    AsyncApexJob
    AttachedContentDocument
    Attachment
    AuthSession
    Bookmark
    BrandTemplate
    BusinessHours
    BusinessProcess
    CallCenter
    Campaign
    CampaignFeed
    CampaignMember
    CampaignMemberStatus
    CampaignOwnerSharingRule
    Campaign
    CampaignShare
    CampaignTag
    Case
    CaseArticle
    CaseComment
    CaseContactRole
    CaseFeed
    CaseHistory
    CaseMilestone
    CaseOwnerSharingRule
    CaseShare
    CaseSolution
    Solution
    CaseStatus
    CaseTag
    CaseTeamMember
    CaseTeamRole
    CaseTeamTemplate
    CaseTeamTemplateMember
    CaseTeamTemplateRecord
    CategoryData
    CategoryNode
    CategoryNodeLocalization
    ChatterActivity
    ChatterAnswersActivity
    ChatterAnswersReputationLevel
    ChatterAnswersReputationLevel
    ChatterConversation
    ChatterConversationMember
    ChatterMessage
    CollaborationGroup
    CollaborationGroupFeed
    CollaborationGroupMember
    CollaborationGroupMemberRequest
    CollaborationInvitation
    CombinedAttachment
    Community
    Contact
    ContactFeed
    ContactHistory
    ContactOwnerSharingRule
    ContactShare
    ContactTag
    ContentDocument
    ContentDocumentFeed
    ContentDocumentHistory
    ContentDocumentLink
    ContentVersion
    ContentVersionHistory
    ContentWorkspace
    ContentWorkspaceDoc
    Contract
    ContractContactRole
    ContractFeed
    ContractHistory
    ContractLineItem
    ContractLineItemHistory
    ContractStatus
    ContractTag
    CronTrigger
    CronJobDetail
    CurrencyType
    CustomBrand
    CustomBrandAsset
    CustomPermission
    DandBCompany
    Dashboard
    DashboardComponent
    DashboardComponentFeed
    DashboardFeed
    DashboardTag
    DatacloudCompany
    DatacloudContact
    DatacloudDandBCompany
    DatacloudOwnedEntity
    DatacloudPurchaseUsage
    DatacloudSocialHandle
    DatedConversionRate
    DeclinedEventRelation
    Division
    DivisionLocalization
    Document
    DocumentAttachmentMap
    DocumentTag
    EmailMessage
    EmailServicesAddress
    EmailServicesFunction
    EmailStatus
    EmailTemplate
    Entitlement
    EntitlementContact
    EntitlementFeed
    EntitlementHistory
    EntitlementTemplate
    EntityHistory
    EntitySubscription
    EnvironmentHubMember
    Event
    EventFeed
    EventRelation
    EventTag
    EventWhoRelation
    EventRelation
    ExternalDataSource
    ExternalDataUserAuth
    FeedComment
    FeedItem
    FeedLike
    FeedPollChoice
    FeedPollVote
    FeedPost
    FeedTrackedChange
    FieldPermissions
    FiscalYearSettings
    Folder
    ForecastingAdjustment
    ForecastingFact
    ForecastingItem
    ForecastingQuota
    ForecastShare
    Group
    GroupMember
    HashtagDefinition
    Holiday
    Idea
    IdeaComment
    IdeaTheme
    KnowledgeableUser
    KnowledgeArticle
    KnowledgeArticleVersion
    KnowledgeArticleVersionHistory
    KnowledgeArticleViewStat
    KnowledgeArticleVoteStat
    Lead
    LeadFeed
    LeadHistory
    LeadOwnerSharingRule
    LeadShare
    LeadStatus
    LeadTag
    LimitAllocationPerApp
    LineitemOverride
    LoginHistory
    MailmergeTemplate
    MilestoneType
    Name
    Network
    NetworkActivityAudit
    NetworkMember
    NetworkMemberGroup
    NetworkModeration
    NewsFeed
    Note
    NoteAndAttachment
    NoteTag
    ObjectPermissions
    ObjectTerritory2AssignmentRule
    ObjectTerritory2AssignmentRuleItem
    ObjectTerritory2Association
    OpenActivity
    Opportunity
    OpportunityCompetitor
    OpportunityContactRole
    OpportunityFeed
    OpportunityFieldHistory
    OpportunityHistory
    OpportunityLineItem
    OpportunityLineItemSchedule
    OpportunityOverride
    OpportunityOwnerSharingRule
    OpportunityPartner
    OpportunityShare
    OpportunitySplit
    OpportunitySplitType
    OpportunityStage
    OpportunityTag
    OpportunityTeamMember
    Organization
    OrgWideEmailAddress
    OwnedContentDocument
    PackageLicense
    Partner
    PartnerNetworkConnection
    PartnerNetworkRecordConnection
    PartnerRole
    Period
    PermissionSet
    PermissionSetAssignment
    Pricebook2
    Pricebook2History
    PricebookEntry
    ProcessDefinition
    ProcessInstance
    ProcessInstanceHistory
    ProcessInstanceNode
    ProcessInstanceStep
    ProcessInstanceWorkitem
    ProcessNode
    Product2
    Product2Feed
    ProductEntitlementTemplate
    Profile
    ProfileSkill
    ProfileSkillEndorsement
    ProfileSkillEndorsementHistory
    ProfileSkillFeed
    ProfileSkillHistory
    ProfileSkillShare
    ProfileSkillUser
    ProfileSkillUserHistory
    PushTopic
    QuantityForecast
    QuantityForecastHistory
    Question
    QuestionDataCategorySelection
    QuestionReportAbuse
    QuestionSubscription
    QueueSobject
    Quote
    QuoteDocument
    QuoteLineItem
    RecentlyViewed
    RecordType
    RecordTypeLocalization
    Reply
    ReplyReportAbuse
    Report
    ReportFeed
    ReportTag
    RevenueForecast
    RevenueForecastHistory
    RuleTerritory2Association
    Scontrol
    ScontrolLocalization
    SelfServiceUser
    ServiceContract
    ServiceContractFeed
    ServiceContractHistory
    ServiceContractOwnerSharingRule
    ServiceContractShare
    SetupEntityAccess
    SignupRequest
    Site
    SiteHistory
    SlaProcess
    Solution
    SolutionFeed
    SolutionHistory
    SolutionStatus
    SolutionTag
    StaticResource
    StreamingChannel
    TagDefinition
    Task
    TaskFeed
    TaskPriority
    TaskRelation
    TaskStatus
    TaskTag
    TaskWhoRelation
    TaskRelation
    Territory
    Territory2
    Territory2Model
    Territory2ModelHistory
    Territory2Type
    Topic
    TopicAssignment
    TopicFeed
    UndecidedEventRelation
    User
    UserAccountTeamMember
    UserConfigTransferButton
    UserConfigTransferSkill
    UserFeed
    UserLicense
    UserLogin
    UserMembershipSharingRule
    UserPackageLicense
    UserPreference
    UserProfile
    UserProfileFeed
    UserRecordAccess
    UserRole
    UserShare
    UserTeamMember
    UserTerritory
    UserTerritory2Association
    Vote
    WebLink
    WebLinkLocalization
    WorkAccess
    WorkAccessShare
    WorkBadge
    WorkBadgeDefinition
    WorkBadgeDefinitionHistory
    WorkBadgeDefinitionShare
    WorkCoaching
    WorkCoachingFeed
    WorkCoachingHistory
    WorkCoachingShare
    WorkFeedback
    WorkFeedbackQuestion
    WorkFeedbackQuestionHistory
    WorkFeedbackQuestionSet
    WorkFeedbackQuestionSetShare
    WorkFeedbackQuestionShare
    WorkFeedbackRequest
    WorkFeedbackRequestHistory
    WorkFeedbackRequestShare
    WorkFeedbackShare
    WorkGoal
    WorkGoalCollaborator
    WorkGoalCollaboratorHistory
    WorkGoalFeed
    WorkGoalHistory
    WorkGoalLink
    WorkGoalShare
    WorkPerformanceCycle
    WorkPerformanceCycleFeed
    WorkPerformanceCycleHistory
    WorkPerformanceCycleShare
    WorkReward
    WorkRewardFund
    WorkRewardFundHistory
    WorkRewardFundShare
    WorkRewardFundType
    WorkRewardFundTypeHistory
    WorkRewardFundTypeShare
    WorkRewardHistory
    WorkRewardShare
    WorkThanks
    WorkThanksShare 
  ]
end
